Returns the port on which this server is listening

- « MongoDB\Driver\ServerDescription::getLastUpdateTime

- MongoDB\Driver\ServerDescription::getRoundTripTime »

- PHP Manual
- MongoDB\Driver\ServerDescription
- Returns the port on which this server is listening

# MongoDB\Driver\ServerDescription::getPort

(mongodb >=1.13.0)

MongoDB\Driver\ServerDescription::getPort — Returns the port on which this server is listening

### Description

final public MongoDB\Driver\ServerDescription::getPort(): int

Returns the port on which this server is listening.

### Parameters

This function has no parameters.

### Return Values

Returns the port on which this server is listening.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Server::getPort() - Returns the port on which this server is listening